BasicAuxiliaryDatabaseObjectImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class BasicAuxiliaryDatabaseObjectImpl

    java.lang.Object
      org.hibernate.metamodel.relational.AbstractAuxiliaryDatabaseObject
          org.hibernate.metamodel.relational.BasicAuxiliaryDatabaseObjectImpl

All Implemented Interfaces:
  Serializable, AuxiliaryDatabaseObject, Exportable

    public class BasicAuxiliaryDatabaseObjectImpl

extends AbstractAuxiliaryDatabaseObject

See Also:
  Serialized Form

Constructor Summary
`BasicAuxiliaryDatabaseObjectImpl(Schema defaultSchema, String createString, String dropString, Set<String> dialectScopes)`

Method Summary
`String[]` | `sqlCreateStrings(Dialect dialect)` Gets the SQL strings for creating the database object.
`String[]` | `sqlDropStrings(Dialect dialect)` Gets the SQL strings for dropping the database object.

Methods inherited from class org.hibernate.metamodel.relational.AbstractAuxiliaryDatabaseObject
`addDialectScope, appliesToDialect, getDialectScopes, getExportIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuxiliaryDatabaseObjectImpl

    public BasicAuxiliaryDatabaseObjectImpl(Schema defaultSchema,
                                            String createString,
                                            String dropString,
                                            Set<String> dialectScopes)

Method Detail

### sqlCreateStrings

    public String[] sqlCreateStrings(Dialect dialect)

  Description copied from interface: `Exportable`
  Gets the SQL strings for creating the database object.

  Parameters:
    `dialect` - The dialect for which to generate the SQL creation strings
  Returns:
    the SQL strings for creating the database object.

### sqlDropStrings

    public String[] sqlDropStrings(Dialect dialect)

  Description copied from interface: `Exportable`
  Gets the SQL strings for dropping the database object.

  Parameters:
    `dialect` - The dialect for which to generate the SQL drop strings
  Returns:
    the SQL strings for dropping the database object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.